package com.qiang.config;

import com.github.pagehelper.PageHelper;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

/**
 * @author 吴多强
 * @ClassName: MybatisConfig
 * @Description: PageHelper配置
 * @date 2019/9/16 16:37
 */
@Configuration
public class MybatisConfig {

    /**
     * 配置Mybatis的分页插件
     */
    @Bean
    public PageHelper pageHelper() {
        PageHelper pageHelper = new PageHelper();
        Properties properties = new Properties();
        properties.setProperty("offsetAsPageNum", "true");
        properties.setProperty("rowBoundsWithCount", "true");
        properties.setProperty("reasonable", "true");
        properties.setProperty("dialect", "mysql");
        pageHelper.setProperties(properties);
        pageHelper.setProperties(properties);
        return pageHelper;
    }
}
